// CustomMapMakers Mapping Contest Shader - v3nd3tta (http://v3nd3tta.de)
// Copyrights: CC-nc-by-sa 3.0 unported or contact me for a custom DTFYW License

// Skybox
// none

// Brush Shaders
// todo
// FenceMetal - Fence Shader - by Rayne

textures/parkpolice/fencemetal3
	{
	qer_editorimage textures/parkpolice/fencemetal3.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
//	surfaceparm solid // commented out due warning message in q3map2 compile
	deformvertexes autosprite2
	cull none
		{
		map textures/parkpolice/fencemetal3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		}
	} 

// Grass - Terrain Shader - Phong - by me
// Image is from OpenFootage.net

textures/parkpolice/of_grass
	{
	qer_editorimage textures/parkpolice/of_grass1.jpg
	q3map_nonplanar
	q3map_shadeangle 45
		{
		map $lightmap
		rgbGen identity
		}  
		{
		map textures/parkpolice/of_grass1.jpg
		blendFunc filter
		}
	}

// Special Shaders
// The "Crap" Van's Tire Break decal - by meeh :)

textures/parkpolice/decal_tires
	{
	polygonOffset
	nomipmaps
	nopicmip
		{
		map textures/parkpolice/decal_tires.jpg
		blendfunc filter
		}
	}

// Light Bulb thingy shader - taken from ut4_shipwreck by "Yo"

textures/parkpolice/lumiere03
	{
	qer_editorimage textures/parkpolice/lumiere03.jpg
	surfaceparm nolightmap
	q3map_surfacelight 80000
		{
		map textures/parkpolice/lumiere03.jpg
		}
	}

// Glass Shader - taken form ut4_shipwreck by "Yo"

textures/parkpolice/vitre
{
	qer_editorimage textures/parkpolice/vitre.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
		{
		map textures/parkpolice/vitre.tga
		tcGen environment
		tcMod scroll 0.0125 0.005
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		}
		{
		map $lightmap
		rgbGen identity
		blendFunc filter
		}
	}
	
textures/shipwreck/vitre
{
	qer_editorimage textures/shipwreck/vitre.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
		{
		map textures/shipwreck/vitre.tga
		tcGen environment
		tcMod scroll 0.0125 0.005
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		}
		{
		map $lightmap
		rgbGen identity
		blendFunc filter
		}
	}
	
//
// Model Shader H00ks
//

// Model Shader for br_scone2.m3d - by meez // DOESNT WORK EVEN WITH _remap :(

//models/mapobjects/br_lightning1/br_scone2_remap
//{
//    q3map_surfacelight 80000
//		{
//		map models/mapobjects/br_lightning1/br_scone2.jpg
//		}
//	}

// Multiplant H00k section to accept shadows - all by me

// Number 1 - multiplant.md3 to:

models/mapobjects/multiplant/batleaf
{
	q3map_vertexScale 1.2
	q3map_forcemeta

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/multiplant/batleaf.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

// Number 2 - multiplant_a.md3 to:

models/mapobjects/multiplant/leaf1
{
	q3map_vertexScale 1.2
	q3map_forcemeta

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/multiplant/leaf1.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

models/mapobjects/multiplant/leaf2
{
	q3map_vertexScale 1.2
	q3map_forcemeta

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/multiplant/leaf2.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

models/mapobjects/multiplant/leaf3
{
	q3map_vertexScale 1.2
	q3map_forcemeta

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/multiplant/leaf3.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

// Number 3 - multiplant_f2.md3 to:

models/mapobjects/multiplant/fern
{
	q3map_vertexScale 1.2
	q3map_forcemeta

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map models/mapobjects/multiplant/fern.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

// LEVELSHOT HACK - taken from wily_duck & NulL (i hope you forgive)
levelshots/ut4_parkpolice
{
	nopicmip
	{
		animmap .325 levelshots/ut4_parkpolice.tga levelshots/ut4_parkpolice_1.tga levelshots/ut4_parkpolice_2.tga levelshots/ut4_parkpolice_3.tga levelshots/ut4_parkpolice_4.tga
	}
}


// m0ar todo maybe or maybe not in near or far future, who knows?

